select PHP version does not work

Discussion in 'ISPConfig 3 Priority Support' started by stst, Dec 2, 2020.

  1. stst

    stst New Member HowtoForge Supporter

  2. Jesse Norell

    Jesse Norell ISPConfig Developer Staff Member ISPConfig Developer

    Check all the paths in your additional php version settings. After that, enable server debugging, change the php version for a site, and see what messages you get running server.sh from the cli.
     
  3. stst

    stst New Member HowtoForge Supporter

    Ok, no effect was probably just a cashing issue. After waiting for a minute or so, php version changed at least for FastCGI.

    Selecting FPM throws an Error 503 - Service unavailable! now.
    That might be a problem in th php version settings. The How-To says:
    Path to the PHP-FPM init script: phpX-fpm
    however, the picture shows something like /etc/init.d/php-X-fpm
    The latter file is not existing, so I took phpX-fpm without a path. Is that correct?

    thx,
    Stefan
     
  4. till

    till Super Moderator Staff Member ISPConfig Developer

    Yes, that's ok.
     
  5. stst

    stst New Member HowtoForge Supporter

    Thanks for your help. The file is existing (don't know why I didn't recognize it before) and when I change the entry to /etc/init.d/phpX-fpm everything is working perfectly.
    Maybe you could change the How-to.
    Just as a sidenote: I'm using the repository ppa:eek:ndrej/php
     
  6. Taleman

    Taleman Well-Known Member HowtoForge Supporter

    That repository is for Ubuntu.
    For Debian, you have to use packages.sury.org. I notice you never mentioned what OS you have, I assumed it was Debian since you wrote you used the tutorial for Debian.
     

Share This Page